Analyze
Timeseries

Compute a timeseries

Compute a timeseries for a given instance

POST
https://api.textreveal.com/api/2.0/analyze/{id}/timeseries

Request

Parameters

  • id*uuid

    Analysis ID

Request Body

  • operands(string (enum))[]

    The operators that will be used for aggregation. Min is lowest value observed for the class on the defined period. Max is highest value observed for the class on the defined period. Mean is average value observed for the class on the defined period. Median is middle value observed for the class on the defined period.

    Default: ["min", "max", "mean", "median"]Values: "min", "max", "mean", "median"
  • output_formatstring (enum)

    The output format of the final timeseries.

    Default: "json"Values: "json", "csv"
  • pivots(string (enum))[]

    Additional pivots (groups) to the date.

    Default: ["extract_day", "entity"]Values: "extract_day", "language", "entity", "site", "site_type", "country"
  • time_granularitystring (enum)

    Aggregation granularity period.

    Default: "day"Values: "day", "hour", "minute"
  • volume_onlyboolean

    Aggregation mode. Set to true to display only volumes.

    Default: falseExample: false
Request
{
  "operands": [
    "min",
    "max",
    "mean",
    "median"
  ],
  "output_format": "json",
  "pivots": [
    "extract_day",
    "language",
    "entity"
  ],
  "time_granularity": "day",
  "volume_only": false
}

Response

Response - 200

Timeseries status response

  • hashstring

    The hash of launched analysis

    Example: "98756"
Response
{
  "hash": "98756"
}

Error

Error - 400

Bad request

  • fieldstring[]

    The field where the error happened.

    Example: "string"
Response
{
  "field": [
    "string"
  ]
}

Error - 404

Not Found

  • valuestring
    Example: "string"
Response
{
  "value": "string"
}